<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.test-case-workspace.dialog.title.coverage-verified-by'"
  [dialogId]="dialogReference.id"
>
  <sqtm-core-dialog-body>
    <div class="sqtm-core-dialog-form">
      @if (configuration.coverageStepInfoDto.length > 0) {
        <label class="label label__align_right">{{
          'sqtm-core.entity.requirement-version-coverage.verified-by.test-step'
            | translate
        }}</label>
        <div class="flex-row" style="margin: 5px 0">
          @for (
            coverageTestStepInfo of configuration.coverageStepInfoDto;
            track coverageTestStepInfo;
            let i = $index
          ) {
            <a (click)="navigateToTestStep(coverageTestStepInfo.index)">
              #{{ coverageTestStepInfo.index + 1 }}</a
            >
            @if (i !== configuration.coverageStepInfoDto.length - 1) {
              <span>,</span>
            }
          }
        </div>
      }

      @if (configuration.calledTestCaseIds.length > 0) {
        <label class="label label__align_right">{{
          'sqtm-core.entity.requirement-version-coverage.verified-by.call-step'
            | translate
        }}</label>
        <div class="flex-row" style="margin: 5px 0">
          @for (
            calledTcId of configuration.calledTestCaseIds;
            track calledTcId;
            let i = $index
          ) {
            <a (click)="navigateToCalledTestCase(calledTcId)">
              CT {{ i + 1 }}</a
            >
            @if (i !== configuration.calledTestCaseIds.length - 1) {
              <span>,</span>
            }
          }
        </div>
      }
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
